%define		css_major 0
%define		css_minor 0
%define		major 3
%define		minor 1

%define		libname %mklibname %{name} %{major}
%define		devel %mklibname -d %{name}
%define		cssdev %mklibname cssparser %{css_major}
%define		csslib %mklibname -d cssparser

Name:		htmlcxx
Version:	0.86
Release:	%mkrel 1
Summary:	htmlcxx is a simple non-validating css1 and html parser for C++
Group:		Development/Other 
License:	LGPLv2
URL:		http://htmlcxx.sourceforge.net/
Source0:	%{name}-%{version}.tar.xz
Patch0:		htmlcxx-0.86-linking.patch

%description
htmlcxx is a simple non-validating css1 and html parser for C++.
Although there are several other html parsers available, htmlcxx has some
characteristics that make it unique: - STL like navigation of DOM tree,
using excelent's tree.hh library from Kasper Peeters.

- It is possible to reproduce exactly, character by character, the original
  document from the parse tree
- Bundled css parser
- Optional parsing of attributes
- C++ code that looks like C++ (not so true anymore)
- Offsets of tags/elements in the original document are stored in the nodes
  of the DOM tree

%package -n	%{libname}
Summary:	These are the main libraries
Group:		System/Libraries 

%description -n	%{libname}
The main libraries
  
%package -n	%{devel}
Summary:	Development files
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{devel}
Development files


%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

# Delete static libraries
find %{buildroot} -name *.*a -delete

%files
%{_bindir}/%{name}

%files -n	%{libname}
%{_libdir}/libhtmlcxx.so.%{major}*
%{_libdir}/libcss_parser.so.%{css_major}*
%{_libdir}/libcss_parser_pp.so.%{css_major}*


%files -n	%{devel}
%{_includedir}/%{name}/html/
%{_libdir}/libhtmlcxx.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/css/
%{_datadir}/%{name}/
%{_libdir}/libcss_parser.so
%{_libdir}/libcss_parser_pp.so


%changelog
* Mon Feb 12 2018 bb2 <bb2> - 0.86-1pclos2018
- import for new yarock
